---
- description: Windows 10
  buttons: submit,cancel
  label: Windows 10
  blueprint_id: 
  dialog_tabs:
  - description: 
    display: edit
    label: Basic Information
    display_method: 
    display_method_options: 
    position: 0
    dialog_groups:
    - description: Afdeling en Experiment naam
      display: edit
      label: Afdeling en Experiment naam
      display_method: 
      display_method_options: 
      position: 0
      dialog_fields:
      - name: tag_0_gemeente_department
        description: Department Tags
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: 
        values:
        - :id: 
          :name: "<None>"
          :description: "<None>"
        - :id: 99000000000127
          :name: bco
          :description: bco
        - :id: 99000000000145
          :name: sb
          :description: sb
        - :id: 99000000000144
          :name: so
          :description: so
        values_method: 
        values_method_options: {}
        options:
          :category_id: '99000000000126'
          :force_single_value: true
          :sort_by: :description
          :sort_order: :ascending
          :category_name: gemeente_department
          :category_description: gemeente_department
        label: Department
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldTagControl
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: tag_0_gemeente_experiment
        description: Experiment TAGs
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: "!"
        values:
        - - "!"
          - "-- selecteer uit de lijst --"
        - - exparjan1505991811
          - exparjan1505991811
        - - adeskcoll1506515558
          - adeskcoll1506515558
        - - expaag1506597724
          - expaag1506597724
        - - expaax1506678711
          - expaax1506678711
        values_method: 
        values_method_options: {}
        options:
          :force_multi_value: false
          :sort_by: :value
        label: Experiment
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: true
        show_refresh_button: true
        load_values_on_init: true
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: true
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: FillDropDownExperimentTag
          ae_message: 
          ae_attributes: {}
      - name: param_departmentTag
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: bco
        values: "<Script error>"
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Param Department
        position: 2
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetParamDepartmentName
          ae_message: 
          ae_attributes: {}
      - name: param_experimentTag
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: Choose
        values: "<Script error>"
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Param Experiment
        position: 3
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetParamExperiment
          ae_message: 
          ae_attributes: {}
      - name: param_emailTag
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Param Email
        position: 4
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
    - description: 
      display: edit
      label: "-----"
      display_method: 
      display_method_options: 
      position: 1
      dialog_fields:
      - name: seq
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: '1507037783'
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: SEQ
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: false
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetSeq
          ae_message: 
          ae_attributes: {}
      - name: old_tenant_name
        description: Tenant where the stack will be deployed
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: 49c4cd82-8f65-4d6a-9a3b-0ecd07c0cf5b
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Tenant
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: stack_name
        description: Name of the stack
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: ''
        values: stack_
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Stack Name
        position: 2
        validator_type: ''
        validator_rule: "^[A-Za-z][A-Za-z0-9\\-]*$"
        reconfigurable: true
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: false
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetStackName
          ae_message: 
          ae_attributes: {}
      - name: deploy_mode
        description: |-
          Select deployment mode.
          WARNING: Complete mode will delete all resources from the group that are not in the template.
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: Incremental
        values:
        - - 
          - "<Choose>"
        - - Complete
          - Complete (Delete other resources in the group)
        - - Incremental
          - Incremental (Default)
        values_method: 
        values_method_options: {}
        options:
          :sort_by: :description
          :sort_order: :ascending
          :force_multi_value: false
        label: Mode
        position: 3
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: 
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: service_name
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: "<Script error>"
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Service Name
        position: 4
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetServiceName
          ae_message: 
          ae_attributes: {}
      - name: limit
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: vmid
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: limit
        position: 5
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetVirtualMachineName
          ae_message: 
          ae_attributes: {}
      - name: email_provisioning_body_requester
        description: 
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: |-
          Goedendag,<br>
          <br>
          Uw aanvraag voor een virtuele machine is in goede orde ontvangen.<br>
          <br>
          Bijzonderheden: <%= @miq_request.reason %><br>
          Admin username: <%= @dialog['param_adminUsername'] %><br>
          Admin username: <%= @options['dialog_param_adminUsername'] %><br>
          <br>
          Om uw aanvraag te bekijken, ga naar: <a href='https://<%= @appliance %>/miq_request/show/<%= @miq_request.id %>'>https://<%= @appliance %>/miq_request/show/<%= @miq_request.id %></a><br>
          <br>
          Uw machine zal over ca. 15 minuten beschikbaar zijn. U ontvangt op dat moment een nieuwe mail inclusief de verbindingsgegevens.<br>
          Neem in geval van vragen contact op met team ICT Ontwikkeling via email: DL_BCO_IIFO_OPOntwikkelingICTinternen@rotterdam.local.<br>
          <br>
          Succes bij het gebruik van uw virtuele machine.
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Email requester
        position: 6
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextAreaBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: email_provisioning_body_approver
        description: 
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: |
          Dear Approver,

          Bijzonderheden: <%= @miq_request.reason %><br>
          Service: <%= @service.name %><br>
          Admin username: <%= @dialog['param_adminUsername'] %><br>
          Admin username: <%= @options['dialog_param_adminUsername'] %><br>
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Email approver
        position: 7
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextAreaBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: email_provision_requester_subject
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: Uw aanvraag voor een Windows 10 VM
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Email requester subject
        position: 8
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: resource_group
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: "<Script error>"
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Experiment
        position: 9
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetParamExperiment
          ae_message: 
          ae_attributes: {}
    - description: 
      display: edit
      label: Machine Gegevens
      display_method: 
      display_method_options: 
      position: 2
      dialog_fields:
      - name: param_virtualMachineName
        description: Name of the virtual machine
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: vmid
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Virtual Machine Name
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: true
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetVirtualMachineName
          ae_message: 
          ae_attributes: {}
      - name: param_adminUsername
        description: Administrator user name for the virtual machine
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: AnsibleAdmin
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Admin User Name
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: 
        show_refresh_button: 
        load_values_on_init: 
        read_only: 
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: param_adminPassword
        description: Password for the administrator
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: juGURkjIud8jkdJ
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: true
        label: Admin Password
        position: 2
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: 
        show_refresh_button: 
        load_values_on_init: 
        read_only: 
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: param_operatingSystemType
        description: Operating system of the virtual machine
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: windows
        values:
        - - 
          - "<Choose>"
        - - linux
          - Linux
        - - windows
          - Windows
        values_method: 
        values_method_options: {}
        options:
          :sort_by: :description
          :sort_order: :ascending
          :force_multi_value: false
        label: Operating System Type
        position: 3
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: true
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: param_virtualMachineSize
        description: ''
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: Standard_D2_v2
        values:
        - - 
          - "<Choose>"
        - - Standard_NV6
          - Large
        - - Medium Standard_D12_v2
          - Medium
        - - Standard_D2_v2
          - Small
        values_method: 
        values_method_options: {}
        options:
          :sort_by: :description
          :sort_order: :ascending
          :force_multi_value: false
        label: Virtual Machine grootte
        position: 4
        validator_type: 
        validator_rule: 
        reconfigurable: true
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: param_ImageRefID
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: true
        required_method: 
        required_method_options: {}
        default_value: "/subscriptions/5190b643-3cce-43f2-8c93-3ceba92bb153/resourceGroups/dec-infra-rg/providers/Microsoft.Compute/images/base-image-20170831"
        values:
        - - 
          - "<Choose>"
        - - "/subscriptions/5190b643-3cce-43f2-8c93-3ceba92bb153/resourceGroups/dec-test-rg/providers/Microsoft.Compute/images/dec-test-ubuntu-image-20170504130025"
          - LinuxUbuntu
        - - "/subscriptions/5190b643-3cce-43f2-8c93-3ceba92bb153/resourceGroups/dec-infra-rg/providers/Microsoft.Compute/images/Windows10Ref"
          - Windows10Ref
        - - "/subscriptions/5190b643-3cce-43f2-8c93-3ceba92bb153/resourceGroups/dec-infra-rg/providers/Microsoft.Compute/images/base-image-20170831"
          - base-image-20170831
        values_method: 
        values_method_options: {}
        options:
          :sort_by: :description
          :sort_order: :ascending
          :force_multi_value: false
        label: Image Referance ID
        position: 5
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: false
        visible: false
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
      - name: service_retires_on
        description: 
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: 
        values: 
        values_method: 
        values_method_options: {}
        options:
          :show_past_dates: false
        label: Verwijder datum machine
        position: 6
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: 
        visible: true
        type: DialogFieldDateTimeControl
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
    - description: 
      display: edit
      label: "----"
      display_method: 
      display_method_options: 
      position: 3
      dialog_fields:
      - name: param_user
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: Administrator
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: user
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: true
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: true
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: ServiceDialogs
          ae_class: Azure
          ae_instance: SetUserName
          ae_message: 
          ae_attributes: {}
      - name: param_state
        description: 
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: present
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: state
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: 
        dynamic: false
        show_refresh_button: 
        load_values_on_init: 
        read_only: false
        auto_refresh: 
        trigger_auto_refresh: 
        visible: false
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
